/*
 * cexpect.c
 * 
 * Copyright (C) February, 1998 Sergei Viznyuk <sergei@phystech.com>
 * 
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <string.h>
#include "cexeclib.h"

/*****************************************************************************/
char *cexpect(c,buf,bufsiz,s,tv_sec,tv_usec)
char *c,*buf;
int bufsiz,s;
time_t tv_sec,tv_usec;
{
  int i;
  errno = 0;
  if ( c == NULL || buf == NULL || bufsiz <= 0 )
    {
      errno = EINVAL;
      return NULL;
    }
  if ( creadok(s,tv_sec,tv_usec) ) return NULL;
  memset(buf,0,bufsiz);
  i=read(s,buf,bufsiz);
  if ( i == -1 ) return NULL;
  return strstr(buf,c);
}
