/*
 * creply.c
 * 
 * Copyright (C) February, 1998 Sergei Viznyuk <sergei@phystech.com>
 * 
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "cexeclib.h"

/*****************************************************************************/
int creply(buf,bufsiz,s,tv_sec,tv_usec)
char *buf;
int bufsiz,s;
time_t tv_sec,tv_usec;
{
  if ( buf == NULL || bufsiz <= 0 )
    {
      errno = EINVAL;
      return -1;
    }
  if ( cwriteok(s,tv_sec,tv_usec) ) return -1;
  if ( write(s,buf,bufsiz) == -1 ) return -1;
  return 0;
}
